#! /bin/sh

# Read configuration from file
. /etc/diaspora/diaspora-common.conf
echo "Using ${diaspora_conf_private}..."
if ! grep RAILS_ENV ${diaspora_conf_private}
	then echo export RAILS_ENV=production >> ${diaspora_conf_private}
fi

if ! grep DB ${diaspora_conf_private} 
	then echo export DB=postgres >> ${diaspora_conf_private}
fi
	
# source diaspora variables	
. ${diaspora_conf_private}

